//  @import com.hedgehoglab.application.model.BaseModel;

function TaskFilterModel(scope){
    BaseModel.call(this,scope);
    var _user=null;
    var _category=null;
    var _dateId=null;
    var _dateFrom=null;
    var _dateTo=null;

    this.user=function(user){
        if(arguments.length>0){
        	_user=user;
			this.raise_event('user_changed',{
				user: _user,
				category: _category,
				dateId: _dateId,
				dateFrom: _dateFrom,
				dateTo: _dateTo
			});
		}
		return _user;
	};
	
	this.category=function(category){
        if(arguments.length>0){
        	_category=category;
			this.raise_event('category_changed',{
				user: _user,
				category: _category,
				dateId: _dateId,
				dateFrom: _dateFrom,
				dateTo: _dateTo
			});
		}
		return _category;
	};
	
	this.date=function(dateId,dateFrom,dateTo){
        if(arguments.length>0){
        	_dateId=dateId;
        	_dateFrom=dateFrom;
        	_dateTo=dateTo;
			this.raise_event('date_changed',{
				user: _user,
				category: _category,
				dateId: _dateId,
				dateFrom: _dateFrom,
				dateTo: _dateTo
			});
		}
		return {dateId:_dateId,dateFrom:_dateFrom,dateTo:_dateTo};
	};

    this.model=function(){
        this.raise_event('model_changed',{
            user: _user,
            category: _category,
            dateId: _dateId,
            dateFrom: _dateFrom,
            dateTo: _dateTo
        });
    };
};